classification
Title: Document Chrome/Chromium for python2.7
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ismail s, Manvi B, SilentGhost, docs@python, doko, ezio.melotti, fdrake, python-dev
Priority: normal Keywords: patch

Created on 2016-01-31 14:23 by Ismail s, last changed 2016-03-11 19:35 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue26247.diff Manvi B, 2016-02-21 10:58
issue26247.diff Manvi B, 2016-03-11 10:13
issue26247.diff Manvi B, 2016-03-11 13:52
issue26247.diff Manvi B, 2016-03-11 15:23
Messages (13)
msg259280 - (view) Author: Ismail s (Ismail s) * Date: 2016-01-31 14:23
The table of browser types in https://docs.python.org/2.7/library/webbrowser.html?highlight=webbrowser#webbrowser.register does not say that Google Chrome/Chromium is available on python2.7, even though it is (https://hg.python.org/cpython/file/2.7/Lib/webbrowser.py#l307).

Also, according to the docs for python.3.5 (https://docs.python.org/3.5/library/webbrowser.html?highlight=webbrowser#webbrowser.register , just below the table), support for google chrome/chromium was added in python3.3, so maybe this was backported to python2.7 and the docs not updated?
msg259281 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2016-01-31 14:37
It's due to issue 17536 and particularly 5a1429e9b621
I presume doko would be happy to follow up on that.
msg260604 - (view) Author: Manvi B (Manvi B) * Date: 2016-02-21 10:58
We (Elena Oat and I) tried to open web browser Chrome/Chromium in versions 2.7, 3.3, 3.5 and 3.6. It seems working and so updated in the table for version 2.7. The patch issue26247.diff is submitted.
msg260606 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-02-21 11:05
Thanks for the patch, however since this is for the 2.7 branch, it should only say in which 2.7.x version this has been added.  The note should also use the .. versionadded:: directive.
All minor releases are tagged in the repo, so you can try to update the repo to each 2.7.x version and check in which one chrome support has been introduced.
msg261554 - (view) Author: Manvi B (Manvi B) * Date: 2016-03-11 10:13
Made changes according to last comment by Ezio.
msg261567 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2016-03-11 13:21
The ``versionadded::`` directive should only be used to annotate descriptions of new API entries.  While it would be correctly applied to the ``Chrome`` and ``Chromium`` classes, those are not separately documented here, but are only listed in the table.

See http://bugs.python.org/issue26366 for further discussion on the use of ``versionadded::``.
msg261572 - (view) Author: Manvi B (Manvi B) * Date: 2016-03-11 13:52
Modified the patch with this directive instead   ``versionchanged::``.
msg261573 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2016-03-11 14:26
Sorry; I guess I wasn't clear.

``versionadded::`` and ``versionchanged::`` are applied to specific API points (modules, classes, methods, attributes) that are identified structurally in the documentation.  That isn't the case for this.

While a bit of text noting the addition is less discoverable for documentation processors, I believe it to be sufficient.
msg261574 - (view) Author: Manvi B (Manvi B) * Date: 2016-03-11 14:50
@Fred L. Drake, Jr. (fdrake)
Is it okay if I can remove ``versionchanged::``. And simply say that,
Support for Chrome/Chromium has been added from 2.7.5 version or later.
msg261575 - (view) Author: Manvi B (Manvi B) * Date: 2016-03-11 15:23
Submitted the patch with the text noting below the table.
msg261579 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2016-03-11 16:16
LGTM

Thanks for getting this documented!
msg261593 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-11 19:32
New changeset 8ef74c7f3fdc by Ezio Melotti in branch '2.7':
#26247: document Chrome/Chromium addition to webbrowser.  Patch by Manvi B.
https://hg.python.org/cpython/rev/8ef74c7f3fdc
msg261595 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-03-11 19:35
Fixed, thanks for the patches and reviews!
History
Date User Action Args
2016-03-11 19:35:58ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg261595

stage: needs patch -> resolved
2016-03-11 19:32:42python-devsetnosy: + python-dev
messages: + msg261593
2016-03-11 16:16:48fdrakesetmessages: + msg261579
2016-03-11 15:23:22Manvi Bsetfiles: + issue26247.diff

messages: + msg261575
2016-03-11 14:50:23Manvi Bsetmessages: + msg261574
2016-03-11 14:26:38fdrakesetmessages: + msg261573
2016-03-11 13:52:39Manvi Bsetfiles: + issue26247.diff

messages: + msg261572
2016-03-11 13:21:44fdrakesetnosy: + fdrake
messages: + msg261567
2016-03-11 10:13:29Manvi Bsetfiles: + issue26247.diff

messages: + msg261554
2016-02-21 11:05:30ezio.melottisetnosy: + ezio.melotti

messages: + msg260606
stage: needs patch
2016-02-21 10:58:12Manvi Bsetfiles: + issue26247.diff

nosy: + Manvi B
messages: + msg260604

keywords: + patch
2016-01-31 14:37:52SilentGhostsetnosy: + SilentGhost, doko
messages: + msg259281
2016-01-31 14:23:21Ismail screate